/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sample.valueobject;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * BlancoValueObjectのなかで利用されるサンプルのValueObjectです。継承と実装のサンプルです。また、フィールド名の変形は行いません。このファイルはblancoValueObjectプログラムそのものの処理には利用されません！単なるサンプルです。
 */
public class BlancoValueObjectSampleStructure extends Thread implements Serializable {
    /**
     * フィールド [stringField1]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [123]<br>
     * デフォルト値あり
     */
    private String fstringField1 = "123";

    /**
     * フィールド [stringField2]
     *
     * 項目の型 [java.lang.String]<br>
     */
    private String fstringField2;

    /**
     * フィールド [booleanField1]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * デフォルト値あり
     */
    private boolean fbooleanField1 = false;

    /**
     * フィールド [booleanField2]
     *
     * 項目の型 [boolean]<br>
     */
    private boolean fbooleanField2;

    /**
     * フィールド [booleanObjField1]
     *
     * 項目の型 [java.lang.Boolean]<br>
     * 規定値   [true]<br>
     * デフォルト値あり
     */
    private Boolean fbooleanObjField1 = new Boolean(true);

    /**
     * フィールド [booleanObjField2]
     *
     * 項目の型 [java.lang.Boolean]<br>
     */
    private Boolean fbooleanObjField2;

    /**
     * フィールド [shortField1]
     *
     * 項目の型 [short]<br>
     * 規定値   [123]<br>
     * デフォルト値あり
     */
    private short fshortField1 = 123;

    /**
     * フィールド [shortField2]
     *
     * 項目の型 [short]<br>
     */
    private short fshortField2;

    /**
     * フィールド [shortObjField1]
     *
     * 項目の型 [java.lang.Short]<br>
     * 規定値   [3456]<br>
     * デフォルト値あり
     */
    private Short fshortObjField1 = new Short((short) 3456);

    /**
     * フィールド [shortObjField2]
     *
     * 項目の型 [java.lang.Short]<br>
     */
    private Short fshortObjField2;

    /**
     * フィールド [intField1]
     *
     * 項目の型 [int]<br>
     * 規定値   [44444]<br>
     * デフォルト値あり
     */
    private int fintField1 = 44444;

    /**
     * フィールド [intField2]
     *
     * 項目の型 [int]<br>
     */
    private int fintField2;

    /**
     * フィールド [intObjField1]
     *
     * 項目の型 [java.lang.Integer]<br>
     * 規定値   [1012]<br>
     * デフォルト値あり
     */
    private Integer fintObjField1 = new Integer(1012);

    /**
     * フィールド [intObjField2]
     *
     * 項目の型 [java.lang.Integer]<br>
     */
    private Integer fintObjField2;

    /**
     * フィールド [longField1]
     *
     * 項目の型 [long]<br>
     * 規定値   [1234L]<br>
     * デフォルト値あり
     */
    private long flongField1 = 1234L;

    /**
     * フィールド [longField2]
     *
     * 項目の型 [long]<br>
     */
    private long flongField2;

    /**
     * フィールド [longObjField1]
     *
     * 項目の型 [java.lang.Long]<br>
     * 規定値   [5678L]<br>
     * デフォルト値あり
     */
    private Long flongObjField1 = new Long(5678L);

    /**
     * フィールド [longObjField2]
     *
     * 項目の型 [java.lang.Long]<br>
     */
    private Long flongObjField2;

    /**
     * フィールド [bigdecimalField1]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * デフォルト値あり
     */
    private BigDecimal fbigdecimalField1 = new BigDecimal("123.456");

    /**
     * フィールド [bigdecimalField2]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * nullの試験
     */
    private BigDecimal fbigdecimalField2;

    /**
     * フィールド [arraylistField1]
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * デフォルト値あり
     */
    private List<java.lang.String> farraylistField1 = new java.util.ArrayList<java.lang.String>();

    /**
     * フィールド [arraylistField2]
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     */
    private List<java.lang.String> farraylistField2;

    /**
     * フィールド [stringArray1]
     *
     * 項目の型 [java.lang.String[]]<br>
     * 文字列配列の例
     */
    private String[] fstringArray1;

    /**
     * フィールド [stringField1]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値あり
     *
     * @param argstringField1 フィールド[stringField1]に格納したい値
     */
    public void setstringField1(final String argstringField1) {
        fstringField1 = argstringField1;
    }

    /**
     * フィールド[stringField1]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [123]<br>
     * デフォルト値あり
     *
     * @return フィールド[stringField1]に格納されている値
     */
    public String getstringField1() {
        return fstringField1;
    }

    /**
     * フィールド [stringField2]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argstringField2 フィールド[stringField2]に格納したい値
     */
    public void setstringField2(final String argstringField2) {
        fstringField2 = argstringField2;
    }

    /**
     * フィールド[stringField2]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @return フィールド[stringField2]に格納されている値
     */
    public String getstringField2() {
        return fstringField2;
    }

    /**
     * フィールド [booleanField1]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * デフォルト値あり
     *
     * @param argbooleanField1 フィールド[booleanField1]に格納したい値
     */
    public void setbooleanField1(final boolean argbooleanField1) {
        fbooleanField1 = argbooleanField1;
    }

    /**
     * フィールド[booleanField1]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * デフォルト値あり
     *
     * @return フィールド[booleanField1]に格納されている値
     */
    public boolean getbooleanField1() {
        return fbooleanField1;
    }

    /**
     * フィールド [booleanField2]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @param argbooleanField2 フィールド[booleanField2]に格納したい値
     */
    public void setbooleanField2(final boolean argbooleanField2) {
        fbooleanField2 = argbooleanField2;
    }

    /**
     * フィールド[booleanField2]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @return フィールド[booleanField2]に格納されている値
     */
    public boolean getbooleanField2() {
        return fbooleanField2;
    }

    /**
     * フィールド [booleanObjField1]のセッターメソッド
     *
     * 項目の型 [java.lang.Boolean]<br>
     * デフォルト値あり
     *
     * @param argbooleanObjField1 フィールド[booleanObjField1]に格納したい値
     */
    public void setbooleanObjField1(final Boolean argbooleanObjField1) {
        fbooleanObjField1 = argbooleanObjField1;
    }

    /**
     * フィールド[booleanObjField1]のゲッターメソッド
     *
     * 項目の型 [java.lang.Boolean]<br>
     * 規定値   [true]<br>
     * デフォルト値あり
     *
     * @return フィールド[booleanObjField1]に格納されている値
     */
    public Boolean getbooleanObjField1() {
        return fbooleanObjField1;
    }

    /**
     * フィールド [booleanObjField2]のセッターメソッド
     *
     * 項目の型 [java.lang.Boolean]<br>
     *
     * @param argbooleanObjField2 フィールド[booleanObjField2]に格納したい値
     */
    public void setbooleanObjField2(final Boolean argbooleanObjField2) {
        fbooleanObjField2 = argbooleanObjField2;
    }

    /**
     * フィールド[booleanObjField2]のゲッターメソッド
     *
     * 項目の型 [java.lang.Boolean]<br>
     *
     * @return フィールド[booleanObjField2]に格納されている値
     */
    public Boolean getbooleanObjField2() {
        return fbooleanObjField2;
    }

    /**
     * フィールド [shortField1]のセッターメソッド
     *
     * 項目の型 [short]<br>
     * デフォルト値あり
     *
     * @param argshortField1 フィールド[shortField1]に格納したい値
     */
    public void setshortField1(final short argshortField1) {
        fshortField1 = argshortField1;
    }

    /**
     * フィールド[shortField1]のゲッターメソッド
     *
     * 項目の型 [short]<br>
     * 規定値   [123]<br>
     * デフォルト値あり
     *
     * @return フィールド[shortField1]に格納されている値
     */
    public short getshortField1() {
        return fshortField1;
    }

    /**
     * フィールド [shortField2]のセッターメソッド
     *
     * 項目の型 [short]<br>
     *
     * @param argshortField2 フィールド[shortField2]に格納したい値
     */
    public void setshortField2(final short argshortField2) {
        fshortField2 = argshortField2;
    }

    /**
     * フィールド[shortField2]のゲッターメソッド
     *
     * 項目の型 [short]<br>
     *
     * @return フィールド[shortField2]に格納されている値
     */
    public short getshortField2() {
        return fshortField2;
    }

    /**
     * フィールド [shortObjField1]のセッターメソッド
     *
     * 項目の型 [java.lang.Short]<br>
     * デフォルト値あり
     *
     * @param argshortObjField1 フィールド[shortObjField1]に格納したい値
     */
    public void setshortObjField1(final Short argshortObjField1) {
        fshortObjField1 = argshortObjField1;
    }

    /**
     * フィールド[shortObjField1]のゲッターメソッド
     *
     * 項目の型 [java.lang.Short]<br>
     * 規定値   [3456]<br>
     * デフォルト値あり
     *
     * @return フィールド[shortObjField1]に格納されている値
     */
    public Short getshortObjField1() {
        return fshortObjField1;
    }

    /**
     * フィールド [shortObjField2]のセッターメソッド
     *
     * 項目の型 [java.lang.Short]<br>
     *
     * @param argshortObjField2 フィールド[shortObjField2]に格納したい値
     */
    public void setshortObjField2(final Short argshortObjField2) {
        fshortObjField2 = argshortObjField2;
    }

    /**
     * フィールド[shortObjField2]のゲッターメソッド
     *
     * 項目の型 [java.lang.Short]<br>
     *
     * @return フィールド[shortObjField2]に格納されている値
     */
    public Short getshortObjField2() {
        return fshortObjField2;
    }

    /**
     * フィールド [intField1]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * デフォルト値あり
     *
     * @param argintField1 フィールド[intField1]に格納したい値
     */
    public void setintField1(final int argintField1) {
        fintField1 = argintField1;
    }

    /**
     * フィールド[intField1]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [44444]<br>
     * デフォルト値あり
     *
     * @return フィールド[intField1]に格納されている値
     */
    public int getintField1() {
        return fintField1;
    }

    /**
     * フィールド [intField2]のセッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @param argintField2 フィールド[intField2]に格納したい値
     */
    public void setintField2(final int argintField2) {
        fintField2 = argintField2;
    }

    /**
     * フィールド[intField2]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @return フィールド[intField2]に格納されている値
     */
    public int getintField2() {
        return fintField2;
    }

    /**
     * フィールド [intObjField1]のセッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     * デフォルト値あり
     *
     * @param argintObjField1 フィールド[intObjField1]に格納したい値
     */
    public void setintObjField1(final Integer argintObjField1) {
        fintObjField1 = argintObjField1;
    }

    /**
     * フィールド[intObjField1]のゲッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     * 規定値   [1012]<br>
     * デフォルト値あり
     *
     * @return フィールド[intObjField1]に格納されている値
     */
    public Integer getintObjField1() {
        return fintObjField1;
    }

    /**
     * フィールド [intObjField2]のセッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     *
     * @param argintObjField2 フィールド[intObjField2]に格納したい値
     */
    public void setintObjField2(final Integer argintObjField2) {
        fintObjField2 = argintObjField2;
    }

    /**
     * フィールド[intObjField2]のゲッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     *
     * @return フィールド[intObjField2]に格納されている値
     */
    public Integer getintObjField2() {
        return fintObjField2;
    }

    /**
     * フィールド [longField1]のセッターメソッド
     *
     * 項目の型 [long]<br>
     * デフォルト値あり
     *
     * @param arglongField1 フィールド[longField1]に格納したい値
     */
    public void setlongField1(final long arglongField1) {
        flongField1 = arglongField1;
    }

    /**
     * フィールド[longField1]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     * 規定値   [1234L]<br>
     * デフォルト値あり
     *
     * @return フィールド[longField1]に格納されている値
     */
    public long getlongField1() {
        return flongField1;
    }

    /**
     * フィールド [longField2]のセッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @param arglongField2 フィールド[longField2]に格納したい値
     */
    public void setlongField2(final long arglongField2) {
        flongField2 = arglongField2;
    }

    /**
     * フィールド[longField2]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @return フィールド[longField2]に格納されている値
     */
    public long getlongField2() {
        return flongField2;
    }

    /**
     * フィールド [longObjField1]のセッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     * デフォルト値あり
     *
     * @param arglongObjField1 フィールド[longObjField1]に格納したい値
     */
    public void setlongObjField1(final Long arglongObjField1) {
        flongObjField1 = arglongObjField1;
    }

    /**
     * フィールド[longObjField1]のゲッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     * 規定値   [5678L]<br>
     * デフォルト値あり
     *
     * @return フィールド[longObjField1]に格納されている値
     */
    public Long getlongObjField1() {
        return flongObjField1;
    }

    /**
     * フィールド [longObjField2]のセッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     *
     * @param arglongObjField2 フィールド[longObjField2]に格納したい値
     */
    public void setlongObjField2(final Long arglongObjField2) {
        flongObjField2 = arglongObjField2;
    }

    /**
     * フィールド[longObjField2]のゲッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     *
     * @return フィールド[longObjField2]に格納されている値
     */
    public Long getlongObjField2() {
        return flongObjField2;
    }

    /**
     * フィールド [bigdecimalField1]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * デフォルト値あり
     *
     * @param argbigdecimalField1 フィールド[bigdecimalField1]に格納したい値
     */
    public void setbigdecimalField1(final BigDecimal argbigdecimalField1) {
        fbigdecimalField1 = argbigdecimalField1;
    }

    /**
     * フィールド[bigdecimalField1]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 規定値   [123.456]<br>
     * デフォルト値あり
     *
     * @return フィールド[bigdecimalField1]に格納されている値
     */
    public BigDecimal getbigdecimalField1() {
        return fbigdecimalField1;
    }

    /**
     * フィールド [bigdecimalField2]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * nullの試験
     *
     * @param argbigdecimalField2 フィールド[bigdecimalField2]に格納したい値
     */
    public void setbigdecimalField2(final BigDecimal argbigdecimalField2) {
        fbigdecimalField2 = argbigdecimalField2;
    }

    /**
     * フィールド[bigdecimalField2]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * nullの試験
     *
     * @return フィールド[bigdecimalField2]に格納されている値
     */
    public BigDecimal getbigdecimalField2() {
        return fbigdecimalField2;
    }

    /**
     * フィールド [arraylistField1]のセッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * デフォルト値あり
     *
     * @param argarraylistField1 フィールド[arraylistField1]に格納したい値
     */
    public void setarraylistField1(final List<java.lang.String> argarraylistField1) {
        farraylistField1 = argarraylistField1;
    }

    /**
     * フィールド[arraylistField1]のゲッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * デフォルト値あり
     *
     * @return フィールド[arraylistField1]に格納されている値
     */
    public List<java.lang.String> getarraylistField1() {
        return farraylistField1;
    }

    /**
     * フィールド [arraylistField2]のセッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     *
     * @param argarraylistField2 フィールド[arraylistField2]に格納したい値
     */
    public void setarraylistField2(final List<java.lang.String> argarraylistField2) {
        farraylistField2 = argarraylistField2;
    }

    /**
     * フィールド[arraylistField2]のゲッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     *
     * @return フィールド[arraylistField2]に格納されている値
     */
    public List<java.lang.String> getarraylistField2() {
        return farraylistField2;
    }

    /**
     * フィールド [stringArray1]のセッターメソッド
     *
     * 項目の型 [java.lang.String[]]<br>
     * 文字列配列の例
     *
     * @param argstringArray1 フィールド[stringArray1]に格納したい値
     */
    public void setstringArray1(final String[] argstringArray1) {
        fstringArray1 = argstringArray1;
    }

    /**
     * フィールド[stringArray1]のゲッターメソッド
     *
     * 項目の型 [java.lang.String[]]<br>
     * 文字列配列の例
     *
     * @return フィールド[stringArray1]に格納されている値
     */
    public String[] getstringArray1() {
        return fstringArray1;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.valueobject.BlancoValueObjectSampleStructure[");
        buf.append("stringField1=" + fstringField1);
        buf.append(",stringField2=" + fstringField2);
        buf.append(",booleanField1=" + fbooleanField1);
        buf.append(",booleanField2=" + fbooleanField2);
        buf.append(",booleanObjField1=" + fbooleanObjField1);
        buf.append(",booleanObjField2=" + fbooleanObjField2);
        buf.append(",shortField1=" + fshortField1);
        buf.append(",shortField2=" + fshortField2);
        buf.append(",shortObjField1=" + fshortObjField1);
        buf.append(",shortObjField2=" + fshortObjField2);
        buf.append(",intField1=" + fintField1);
        buf.append(",intField2=" + fintField2);
        buf.append(",intObjField1=" + fintObjField1);
        buf.append(",intObjField2=" + fintObjField2);
        buf.append(",longField1=" + flongField1);
        buf.append(",longField2=" + flongField2);
        buf.append(",longObjField1=" + flongObjField1);
        buf.append(",longObjField2=" + flongObjField2);
        buf.append(",bigdecimalField1=" + fbigdecimalField1);
        buf.append(",bigdecimalField2=" + fbigdecimalField2);
        buf.append(",arraylistField1=" + farraylistField1);
        buf.append(",arraylistField2=" + farraylistField2);
        if (fstringArray1 == null) {
            buf.append(",stringArray1=null");
        } else {
            buf.append(",stringArray1=[");
            for (int index = 0; index < fstringArray1.length; index++) {
                buf.append((index == 0 ? "" : ", ") + fstringArray1[index]);
            }
            buf.append("]");
        }
        buf.append("]");
        return buf.toString();
    }
}
